Subject: Use \ instead of _ for entity resources in Policies
Description

When defining entity resources in a Policy.yaml file, the entity type has to be the class name with \ replaced by _. The "reason"
officially are YAML restrictions, but that is not valid.

Associated revisions
Revision e6c6ac5b - 2012-12-11 21:27 - Karsten Dambekalns

[!!!][TASK] Use \ instead of _ for entity resources in Policies

When defining entity resources in a Policy.yaml file, the entity type
had to be the class name with \ replaced by _. With this change the
regular class name is to be used instead.

A code migration to adjust Policy.yaml files is part of the change.

Change-Id: I6e894e49b12a6c01692a3ca5c6e11eb9794b6657
Resolves: #43629
Migration: TYPO3.Flow-201212051340
Releases: 1.2

History
#1 - 2012-12-05 14:58 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16976

#2 - 2012-12-11 22:44 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
